%define upstream_name    Task-Weaken
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Ensure that a platform has weaken support
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
One recurring problem in modules that use Scalar::Util's
'weaken' function is that it is not present in the pure-perl variant.

While this isn't necessarily always a problem in a straight CPAN-based Perl
environment, some operating system distributions only include the pure-Perl
versions, don't include the XS version, and so weaken is then "missing"
from the platform, *despite* passing a dependency on Scalar::Util
successfully.

Most notably this is RedHat Linux at time of writing, but other come and go
and do the same thing, hence "recurring problem".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.60.0-5.mga10
+ Revision: 2204724
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.60.0-4.mga9
+ Revision: 1810309
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-3.mga8
+ Revision: 1506219
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.60.0-2.mga7
+ Revision: 1286242
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 1.60.0-1.mga7
+ Revision: 1220770
- update to 1.06

* Sun Dec 24 2017 tv <tv> 1.50.0-1.mga7
+ Revision: 1184403
- update to 1.05

* Tue Oct 03 2017 tv <tv> 1.40.0-9.mga7
+ Revision: 1166683
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.40.0-8.mga7
+ Revision: 1160346
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1033820
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 938683
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 741509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 686329
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 514961
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 373116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 09 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 67060
- update to 1.04

* Tue Jan 18 2011 jquelin <jquelin> 1.30.0-3.mga1
+ Revision: 22856
- cleaning spec file
- imported package perl-Task-Weaken

